package com.spectron.msim.test_ejb;

import javax.ejb.*;
import javax.jws.*;
import javax.xml.ws.*;
import javax.annotation.*;
import javax.annotation.security.*;

@Singleton
@LocalBean
@WebService
@DeclareRoles("Administrator")
public class HelloService implements Hello {
	@Resource WebServiceContext ctx;
	@PermitAll
	public String sayHello(){
		if(ctx.isUserInRole("Administrator")){
			return "Hello Admin!!!";
		}else{
			return "Hello User!!!";
		}
	}
	@RolesAllowed("Administrator")
	public String saySecureHello(){
		return "Hello "+ctx.getUserPrincipal().getName()+"!!!!";
	}
}
